Retrieve Access Token

Translates the Request Token obtained during authentication into an Access Token for use with other API calls.

GET
/api/v2/access_token

Translates the Request Token obtained during authentication into an Access Token for use with other API calls.

Authorization

X-LoginRadius-ApiSecret<token>

In: header

Query Parameters

token*string

Access Token of the User.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/api/v2/access_token?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "expires_in": "3600"
}
{
  "errorCode": 2017,
  "message": "Request is invalid",
  "description": "Unable to retrieve token configuration for the specified app."
}
{
  "errorCode": 902,
  "message": "The API secret is unauthorized",
  "description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "errorCode": 903,
  "message": "Request token is invalid",
  "description": "The LoginRadius request token is invalid, please check the POST request on your callback page and the token field in the request."
}